CentOS Bug Tracker
CentOS Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001484CentOS-4Otherpublic2006-09-01 15:312006-09-10 18:07
Reporterdonavan 
PrioritynormalSeveritytrivialReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0001484: openssl multiarch doc conflicts
Descriptionopenssl.i686 conflicts with openssl.x86_64 persist in CentOS 4.4 x86_64
Additional Information
[root@c4build64 yum.repos.d]# yum install openssl.i686
Setting up Install Process
Setting up repositories
Reading repository metadata in from local files
Excluding Packages from CentOS-4 - Updates
Finished
Excluding Packages from CentOS-4 - Base
Finished
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package openssl.i686 0:0.9.7a-43.10 set to be updated
--> Running transaction check
--> Processing Dependency: libcom_err.so.2 for package: openssl
--> Processing Dependency: libk5crypto.so.3 for package: openssl
--> Processing Dependency: libz.so.1 for package: openssl
--> Processing Dependency: libkrb5.so.3 for package: openssl
--> Processing Dependency: libgssapi_krb5.so.2 for package: openssl
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package krb5-libs.i386 0:1.3.4-33 set to be updated
---> Package zlib.i386 0:1.2.1.2-1.2 set to be updated
---> Package e2fsprogs.i386 0:1.35-12.4.EL4 set to be updated
--> Running transaction check

Dependencies Resolved

=============================================================================
 Package Arch Version Repository Size
=============================================================================
Installing:
 openssl i686 0.9.7a-43.10 base 1.1 M
Installing for dependencies:
 e2fsprogs i386 1.35-12.4.EL4 base 771 k
 krb5-libs i386 1.3.4-33 base 480 k
 zlib i386 1.2.1.2-1.2 base 44 k

Transaction Summary
=============================================================================
Install 4 Package(s)
Update 0 Package(s)
Remove 0 Package(s)
Total download size: 2.3 M
Is this ok [y/N]: y
Downloading Packages:
(1/4): krb5-libs-1.3.4-33 100% |=========================| 480 kB 00:00
(2/4): zlib-1.2.1.2-1.2.i 100% |=========================| 44 kB 00:00
(3/4): openssl-0.9.7a-43. 100% |=========================| 1.1 MB 00:00
(4/4): e2fsprogs-1.35-12. 100% |=========================| 771 kB 00:00
Running Transaction Test
Finished Transaction Test


Transaction Check Error: file /usr/share/man/man1/asn1parse.1ssl.gz from install of openssl-0.9.7a-43.10 conflicts with file from package openssl-0.9.7a-43.10
  file /usr/share/man/man1/nseq.1ssl.gz from install of openssl-0.9.7a-43.10 conflicts with file from package openssl-0.9.7a-43.10
  file /usr/share/man/man1/s_client.1ssl.gz from install of openssl-0.9.7a-43.10 conflicts with file from package openssl-0.9.7a-43.10
  file /usr/share/man/man1/s_server.1ssl.gz from install of openssl-0.9.7a-43.10 conflicts with file from package openssl-0.9.7a-43.10
  file /usr/share/man/man1/sslpasswd.1ssl.gz from install of openssl-0.9.7a-43.10 conflicts with file from package openssl-0.9.7a-43.10
[root@c4build64 yum.repos.d]#
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0003915)
amiliv (reporter)
2006-09-08 00:24

I've filed similar bug report with upstream, and they claim they are not able to reproduce it. I wasn't able to test it myself, but it might indicate the issue might be CentOS specific (not present upstream).
(0003916)
kbsingh@karan.org (administrator)
2006-09-08 00:33

amiliv, the problem stems from the fact that md5's on each file in the i386 rpm need to match the md5's from the x86_64 rpm's. I will look at this asap and if possible, get a fix out.

thanks for the note here.
(0003919)
JohnnyHughes (administrator)
2006-09-09 10:37
edited on: 2006-09-09 10:38

This problem (and many others) stem from the fact that the CentOS project can not determine the exact (known as beehive) build environment by the upstream provider.

Though, I believe they are obligated to provide that information due to this requirement in the GPL:

"For an executable work, complete source
code means all the source code for all modules it contains, plus any
associated interface definition files, plus the scripts used to
control compilation and installation of the executable."

regardless they do not tell us the build environment ... and because of that there is a difference between the MD5 sum of the docs produced by compiling the i386 and x86_64 versions of openssl when built in the centos environments.

You can work around this issue by doing this first:

1. Download the i686 RPM from the x86_64 tree. Currently that is here:

http://mirror.centos.org/centos/4/os/x86_64/CentOS/RPMS/ [^]

(get the openssl-0.9.7a-43.10.i686.rpm rpm)

For future people looking at this bug, you might also want to look here for openssl updates (currently there are none):

http://mirror.centos.org/centos/4/updates/x86_64/RPMS/ [^]

2. Once you have the i686 openssl rpm ... do this:

rpm --nodocs -Uvh openssl-0.9.7a-43.10.i686.rpm

(use a new version if an update is released)

3. Do the rest of the yum install, as now the i686 version contains no DOCS.

The files in question are the man pages, and they don't need to be installed by both the i686 and x86_64 RPMS, however they currently are.

This should get you fixed for the time being while we figure out how to make the man pages be the same in both RPMS.

(0003920)
amiliv (reporter)
2006-09-09 14:16

Johnny,

Thanks for the reply. I've did something similar as workaround (basically, forced the installation). I guess --nodocs might be better approach.

As for how the package is built upstream, maybe it would be possible to check out how it is done in Fedora Core. I've checked FC5 packages, and they don't have this problem (i686 and x86_64 install just fine). I'd say there is 99% probability the packages in upstream are built exactly the same as in Fedora Core.
(0003921)
amiliv (reporter)
2006-09-09 14:20

Oh, BTW. One more comment. Even with the workarounds (to manually install i686 version), the automatic updates on such system are likely to fail when new version of openssl is released. Unless yum is smart enough to figure out '--nodocs' was used for i686 package and does the same when upgrading.

Speaking of the wolf, I got an errata about new openssl packages in upstream the other day.
(0003922)
JohnnyHughes (administrator)
2006-09-10 18:07

This bug is corrected in:

openssl-0.9.7a-43.11.i686.rpm

and

openssl-0.9.7a-43.11.x86_64.rpm

These RPMS are currently on the centos mirrors, moving to the external public mirrors.

- Issue History
Date Modified Username Field Change
2006-09-01 15:31 donavan New Issue
2006-09-01 15:31 donavan Status new => assigned
2006-09-08 00:24 amiliv Note Added: 0003915
2006-09-08 00:33 kbsingh@karan.org Note Added: 0003916
2006-09-09 10:37 JohnnyHughes Note Added: 0003919
2006-09-09 10:38 JohnnyHughes Note Edited: 0003919
2006-09-09 10:38 JohnnyHughes Note Edited: 0003919
2006-09-09 14:16 amiliv Note Added: 0003920
2006-09-09 14:20 amiliv Note Added: 0003921
2006-09-10 18:07 JohnnyHughes Status assigned => resolved
2006-09-10 18:07 JohnnyHughes Resolution open => fixed
2006-09-10 18:07 JohnnyHughes Note Added: 0003922


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker